r1ch.net forums
* Home Help Search Login Register
r1ch.net  |  r1ch.net stuff  |  r1dll / foobar2000 plugins  |  Topic: foobar v0.9 - winamp_api
Pages: 1 2 3 4 [All]
Print
Author Topic: foobar v0.9 - winamp_api  (Read 144910 times)
bert
Guest
« on: March 18, 2006, 06:35:24 am »

Do you offer the winamp_api plugin for the beta version too?
Logged
R1CH
Administrator
Member

Posts: 2625



« Reply #1 on: March 18, 2006, 04:21:14 pm »

I'd prefer to wait for 0.9 API to finalize before I update the winamp emulator for it. Looking at the beta page I also see the following:

Quote
An SDK will be released to the public after foobar2000 v0.9 goes final. This is to simplify bugfixing by ensuring that the bugs and issues people report are all related to / caused by foobar2000 and its official components themselves and not unexpected behaviour of third party components.
Logged
patrol
Guest
« Reply #2 on: March 19, 2006, 10:37:14 am »

how about   hXXp://wXw.foobar2000.org/SDK.zip huh  [live links Tongue]
it's a SDK for Foobar 0.9 grin
Logged
derb
Guest
« Reply #3 on: March 19, 2006, 01:22:48 pm »

Yea please update it. I used it and loved it, would be great for 0.9 to work too. Thanks!
Logged
R1CH
Administrator
Member

Posts: 2625



« Reply #4 on: March 19, 2006, 01:54:41 pm »

Wait a week or so, apparently 0.9 will be final by then Smiley.
Logged
R1CH
Administrator
Member

Posts: 2625



« Reply #5 on: March 19, 2006, 03:03:59 pm »

Ok maybe not. Working on it now Smiley.
Logged
R1CH
Administrator
Member

Posts: 2625



« Reply #6 on: March 20, 2006, 12:14:04 am »

Hmm, I'm not liking the lack of documentation and examples for the 0.9 SDK.
Logged
mojomonkee
Guest
« Reply #7 on: March 21, 2006, 01:56:22 am »

Any updates on the progress of the .9 update R1CH?  Is the only roadblock the fact that the SDK is so poorly documented?

SH/SC is pulling for you.  Well, I am at least and I like to think that counts for something.
Logged
R1CH
Administrator
Member

Posts: 2625



« Reply #8 on: March 21, 2006, 02:18:41 am »

Well I'm not really too keen on 0.9 itself, it seems like a step backwards. That, and not really knowing C++ is a bit of a problem considering the new SDK is almost foreign to me.
Logged
dred111
Guest
« Reply #9 on: March 21, 2006, 03:13:30 am »

Yoyr plugin it's great, great job Smiley I'm waiting for compatibility to 0.9  smiley
Logged
pete north
Guest
« Reply #10 on: March 22, 2006, 03:05:09 pm »

i'm also highly anticipating this plugin w/ compatibility for the new .9 releasage.
Logged
tom
Guest
« Reply #11 on: March 25, 2006, 11:33:28 am »

hope youre getting forward. i really miss that plugin.
Logged
R1CH
Administrator
Member

Posts: 2625



« Reply #12 on: March 25, 2006, 02:22:13 pm »

I'll try and work on it today.
Logged
bconnolly
Guest
« Reply #13 on: March 25, 2006, 02:25:49 pm »

Thanks a lot man.  I think I speak for the entire alternate shell community (most notably Litestep) when I say that we can't live without this component.  It's one of the most useful plugins to us who need the Winamp API to make Litestep modules work.

Thanks a lot for your work man.  It's not going unnoticed.
Logged
R1CH
Administrator
Member

Posts: 2625



« Reply #14 on: March 25, 2006, 07:39:47 pm »

Almost done Smiley.
Logged
R1CH
Administrator
Member

Posts: 2625



« Reply #15 on: March 25, 2006, 07:55:36 pm »

First beta, I personally don't actually have any apps that send WM_COMMAND (remote control of winamp) messages, so I've only tested the query commands (filename, kbps, khz, length, position, etc).

http://www.hydrogenaudio.org/forums/index.php?showtopic=42941
« Last Edit: March 25, 2006, 07:59:56 pm by R1CH » Logged
tom
Guest
« Reply #16 on: March 26, 2006, 12:57:07 pm »

just downloaded beta2, works fine. thx!
Logged
tom
Guest
« Reply #17 on: March 26, 2006, 04:17:44 pm »

works fine.
well, almost Cheesy
there are problems with diacritics...
Logged
R1CH
Administrator
Member

Posts: 2625



« Reply #18 on: March 26, 2006, 05:34:58 pm »

Try beta3.
Logged
tom
Guest
« Reply #19 on: March 27, 2006, 06:41:53 am »

fast service. seems working now.
Logged
n17ikh
Guest
« Reply #20 on: March 27, 2006, 12:38:05 pm »

Much thanks for this plugin update!  My front panel buttons on my laptop work again!  grin
Logged
Vasso
Member

Posts: 2


« Reply #21 on: May 12, 2006, 06:07:22 pm »

Message deleted
« Last Edit: May 12, 2006, 06:11:40 pm by Vasso » Logged
CAD
Member

Posts: 2


« Reply #22 on: July 18, 2006, 11:51:36 pm »

R1CH,

I'm CD Art Display (formerly Winamp CD Case) developer.

Can I add your dll to CAD installer?

More about it: http://www.closetosoftware.com/?s=cdartdisplay
Logged
R1CH
Administrator
Member

Posts: 2625



« Reply #23 on: July 19, 2006, 02:54:06 am »

You certainly can! Although it's still technically a beta, I think it works well enough. One day I may go through and look at the few remaining issues that have been reported, but I'm a bit tied up with other stuff right now.
Logged
CAD
Member

Posts: 2


« Reply #24 on: July 19, 2006, 12:09:37 pm »

Thank you!  smiley
Logged
pvck
Guest
« Reply #25 on: July 30, 2006, 08:10:56 am »

Not sure if anyone has already informed you of this, but just in case: beta3 seems to work swimmingly with Samurize. And thanks for all of the effort you have put into this, we in the community really appreciate it.

-pvck
Logged
amon
Guest
« Reply #26 on: August 08, 2006, 06:00:49 am »

I hope you can make dynamic info like %playback_time% to work and fix the warning in the console thing. Thanks.  cool
Logged
Myuutsu
Guest
« Reply #27 on: September 19, 2009, 05:19:21 pm »

Can you make this component compatible for Windows 7?
Logged
R1CH
Administrator
Member

Posts: 2625



« Reply #28 on: September 19, 2009, 06:55:12 pm »

The DLL should be compatible with any Win2000 and higher.
Logged
Myuutsu
Guest
« Reply #29 on: September 20, 2009, 01:05:12 pm »

I got this error in foobar in Windows 7:

Failed to load DLL: foo_winamp_spam.dll
Reason: This component is not compatible with this version of Windows and needs to be recompiled with a newer version of the foobar2000 SDK; please contact the author of this component to obtain an updated version of this component.
Logged
Space Monster
Guest
« Reply #30 on: September 26, 2009, 10:38:22 pm »

I'm using Windows 7 32 bit and I also do get the error as mentioned on the previous post. It looks like there is a compatibility problem. I installed Winamp as well just to see if that was the case and the problem is still there. Just to confirm not only your plugin gives the error, some other plugins also do.
Logged
R1CH
Administrator
Member

Posts: 2625



« Reply #31 on: September 26, 2009, 11:27:18 pm »

I guess the foobar SDK wasn't compatible with Win7, I'll try to rebuild it sometime this week assuming the API isn't too different.
Logged
Space Monster
Guest
« Reply #32 on: September 26, 2009, 11:51:18 pm »

Thank you so much, first for the quick reply and second for your fast action concerning this problem. You are a life saver!!!!

Once again Thank you!!

Metroid
Logged
ZoFreX
Member

Posts: 1


« Reply #33 on: October 07, 2009, 06:58:03 am »

Same issue on Windows 7 x64. I've seen this on a few plugins (I've just moved back to Foobar after a long hiatus and this is one of the plugins I used, many moons ago!), thank you for taking time to fix it Smiley
Logged
Saptarshi
Guest
« Reply #34 on: October 07, 2009, 01:24:53 pm »

Hm, so this is being worked upon? Because it's not working on Vista 32 bit. Sad And I cannot use foobar atm because of that.
Logged
Linda Kaioh
Guest
« Reply #35 on: October 12, 2009, 05:53:01 am »

Hi ^^ In previous version of plugin it support pause detection. So if I pause foobar2000 (not stop) other clients stops detecting music. But in newer version compatible with 0.9 it was broken. Even on pause clients detects music. Why? Can You fix it? ^^
Logged
9milNL
Member

Posts: 2


« Reply #36 on: October 22, 2009, 10:43:47 am »

Heya, when can we expect the recompiled version which might be working for w7 aswell? Smiley Thanks in advance!
Logged
A_bas
Guest
« Reply #37 on: October 29, 2009, 06:54:50 am »

A new plugin would be awesome, the only thing i need right now it this plugin to make it al work ^_^ (using W7 64bit). Good luck with fixing it!
Logged
R1CH
Administrator
Member

Posts: 2625



« Reply #38 on: October 29, 2009, 01:35:49 pm »

Give this a try and let me know if it works, I don't have Win7 to test with: http://r-1.ch/foo_winamp_spam-0.90afix.zip
Logged
Saptarshi
Guest
« Reply #39 on: October 30, 2009, 12:24:05 pm »

Give this a try and let me know if it works, I don't have Win7 to test with: http://r-1.ch/foo_winamp_spam-0.90afix.zip

Thanks, it is working in Vista 32 bit SP2.
Logged
A_bas
Guest
« Reply #40 on: October 31, 2009, 02:15:45 pm »

Thanks! It works on Win7 64bit. Now i can finally use my razer keyboard with foobar ^_^.
Logged
Saptarshi
Guest
« Reply #41 on: November 01, 2009, 11:36:19 am »

Thanks, it is working in Vista 32 bit SP2.

1 problem, while using with Digsby or Pidgin, the console shows this error repeatedly, ie it's coming up every few seconds and the console is filled with several lines of this error-

Quote
 Warning: foo_winamp_spam: Unsupported WM_USER, lParam 290.

But the IMs are showing track info alright.
Logged
Rüdiger
Guest
« Reply #42 on: November 02, 2009, 06:54:21 am »

i get the following error on Win 7 64bit, foobarv0.9.6.9. for foo_winamp_spam-0.90fix:

Failed to load DLL: foo_winamp_spam.dll
Reason: This component is not compatible with this version of Windows and needs to be recompiled with a newer version of the foobar2000 SDK; please contact the author of this component to obtain an updated version of this component.
Logged
R1CH
Administrator
Member

Posts: 2625



« Reply #43 on: November 02, 2009, 12:37:17 pm »

You need the foo_winamp_spam-0.90afix mentioned above, http://r-1.ch/foo_winamp_spam-0.90afix.zip
Logged
Rüdiger
Guest
« Reply #44 on: November 02, 2009, 01:17:23 pm »

works.......thanks a lot R1CH!
Logged
9milNL
Member

Posts: 2


« Reply #45 on: November 03, 2009, 02:54:24 pm »

R1CH, Cheers! Works as a charm here on W7 64bit!
Logged
Kiosku
Guest
« Reply #46 on: November 04, 2009, 04:02:00 pm »

Thanks for the Windows 7 64bit plugin  wink
Logged
audioLan
Guest
« Reply #47 on: December 14, 2009, 06:14:41 am »

I use foobar v0.9 with win7 x64 and a antec VFD +fb winamp spam 0.90afix but I have a text says on my screen "winamp v3.28".
When I play with winamp it works... I Have correct artist and duration

Thanks !
Logged
A_bas
Guest
« Reply #48 on: December 22, 2009, 07:04:30 pm »

It might be a bit to much to already ask for a foobar 1.00 version of the plugin, but if possible it would be awesome ^_^. I hope you don't have to rewite the plugin for this new version.
Logged
Myuutsu
Guest
« Reply #49 on: March 01, 2010, 11:37:34 pm »

How can I use the winamp plugins with this foobar pkugin?
Logged
R1CH
Administrator
Member

Posts: 2625



« Reply #50 on: March 02, 2010, 05:39:23 pm »

It only emulates the status API, not the winamp plugin API. There may be other components that do this though.
Logged
Tyczek
Guest
« Reply #51 on: November 30, 2010, 05:36:08 pm »

Hmm. I have one problem. Plugin does not recognize if song is stopped, paused, or foobar is closed. So it doesn't take a change in statuses. Is it possible to fix it?
Logged
Pages: 1 2 3 4 [All]
Print
r1ch.net  |  r1ch.net stuff  |  r1dll / foobar2000 plugins  |  Topic: foobar v0.9 - winamp_api
Jump to:  

Powered by SMF 1.1.19 | SMF © 2013, Simple Machines